Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
KDE4 Overlay (Part 6)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 26, 27, 28  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
beso_1717
Apprentice
Apprentice


Joined: 19 Jul 2007
Posts: 263

PostPosted: Fri Sep 26, 2008 1:32 pm    Post subject: Reply with quote

gimpel wrote:
gimpel wrote:
beso_1717 wrote:
no, for me it does find some bad declared stuff and stops configuring.

konqueror or webkit-kpart that is?

webkit-kpart's configure gets messed up by faulty sed'ing around in the kdebuild.
I tried to fix that, but somewhat failed..

Still fighting with webkit-kpart vs. konqueror compile errors (undefined references).

I now uninstalled webkit-kpart, and compiled konqueror again.
Code:
-- cmake package FindWebKitKde.cmake was not found. This package needs webkitkde to be compile all program
--

-- Configuring done
-- Generating done
-- Build files have been written to: /var/tmp/paludis/kde-base-konqueror-scm/work/konqueror_build

So much about konqueror doesn't (optionally) depend on webkit-kpart. Anyways, at least it compiles now, just without webkit support.

EDIT: woot, recent commit in SVN also made webkit-kpart compile again.
but now both, konqueror and konq-plugins can't find it anymore, even though /usr/kde/svn/share/apps/cmake/modules/FindKdeWebKit.cmake does exist. :o


if i got some time this week end i'll try to have a look at it in my weekly kde4 rebuild.
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Fri Sep 26, 2008 1:53 pm    Post subject: Reply with quote

beso_1717, cool, thanks!

Another one: amarok-scm seems to depend on mysql with USE="embedded" now, even if -mysql is used for amarok :o
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
mikkoc
Apprentice
Apprentice


Joined: 24 May 2007
Posts: 231

PostPosted: Fri Sep 26, 2008 3:28 pm    Post subject: Reply with quote

gimpel wrote:

Another one: amarok-scm seems to depend on mysql with USE="embedded" now, even if -mysql is used for amarok :o


Other than that it needs mysql-community to be compiled with -fPIC
See: https://bugs.gentoo.org/show_bug.cgi?id=238487

Please let me know if you manage to get a working amarok with any of the mysql ebuilds in portage please.

I had to install mysql from source to make amarok not crash at startup :(
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Sat Sep 27, 2008 11:13 am    Post subject: Reply with quote

mikkoc wrote:
Other than that it needs mysql-community to be compiled with -fPIC
See: https://bugs.gentoo.org/show_bug.cgi?id=238487

Please let me know if you manage to get a working amarok with any of the mysql ebuilds in portage please.

I had to install mysql from source to make amarok not crash at startup :(

Works fine here on amd64 with
Code:
* dev-db/mysql
    installed:               5.0.60-r1* {:0}
    Relevant USE flags:      (-berkdb) (-big-tables) (-cluster) (-debug) (embedded) (-extraengine) (-latin1) (-max-idx-128) (-minimal) (perl) (-selinux) (ssl) (-static)

But I compiled amarok with -mysql, and it definately uses sqlite3 here. Though mysql is listed as required in CMakeLists.txt *shrug*
I don't have mysql-community installed, but temporary adding -fPIC to your CFLAGS for installing mysql-community could help as a workaround with that one.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
beso_1717
Apprentice
Apprentice


Joined: 19 Jul 2007
Posts: 263

PostPosted: Sat Sep 27, 2008 5:34 pm    Post subject: Reply with quote

gimpel wrote:
mikkoc wrote:
Other than that it needs mysql-community to be compiled with -fPIC
See: https://bugs.gentoo.org/show_bug.cgi?id=238487

Please let me know if you manage to get a working amarok with any of the mysql ebuilds in portage please.

I had to install mysql from source to make amarok not crash at startup :(

Works fine here on amd64 with
Code:
* dev-db/mysql
    installed:               5.0.60-r1* {:0}
    Relevant USE flags:      (-berkdb) (-big-tables) (-cluster) (-debug) (embedded) (-extraengine) (-latin1) (-max-idx-128) (-minimal) (perl) (-selinux) (ssl) (-static)

But I compiled amarok with -mysql, and it definately uses sqlite3 here. Though mysql is listed as required in CMakeLists.txt *shrug*
I don't have mysql-community installed, but temporary adding -fPIC to your CFLAGS for installing mysql-community could help as a workaround with that one.


for what i know on amd64 the -fPIC is automatically used by default, while on x86 it's not true since it's still causing some issues. that's why you didn't have problems with amarok-scm compiling over mysql with embedded only enabled. x86 users (especially if using old profiles) might also need to enable the -fPIC CFLAG manually before building mysql.
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Mon Sep 29, 2008 3:38 pm    Post subject: Reply with quote

beso_1717 wrote:
for what i know on amd64 the -fPIC is automatically used by default, while on x86 it's not true since it's still causing some issues. that's why you didn't have problems with amarok-scm compiling over mysql with embedded only enabled. x86 users (especially if using old profiles) might also need to enable the -fPIC CFLAG manually before building mysql.

I thought so too.

But funnily, I tried to update amarok again today, and now I get the same error as mikkoc. Strange...
But recompiling mysql with -fPIC helps.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
desultory
Administrator
Administrator


Joined: 04 Nov 2005
Posts: 9268

PostPosted: Tue Sep 30, 2008 2:45 am    Post subject: Reply with quote

Locked, as a successor topic has been started.
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 26, 27, 28
Page 28 of 28

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum